[SCM] WebKit Debian packaging branch, debian/experimental, updated. upstream/1.3.3-10851-g50815da

eric at webkit.org eric at webkit.org
Wed Dec 22 18:30:13 UTC 2010


The following commit has been merged in the debian/experimental branch:
commit df3b8be7ae72436430d84e3905cfe7d53a59243b
Author: eric at webkit.org <eric at webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Date:   Mon Dec 13 10:19:10 2010 +0000

    2010-12-13  Eric Seidel  <eric at webkit.org>
    
            Reviewed by Adam Barth.
    
            EWS Queues should remove orpahned pyc files before starting
            https://bugs.webkit.org/show_bug.cgi?id=50904
    
            A previous check added a platform.py which caused
            EWS bots on some platforms to hit an import exception.
            The platform.py file was removed in a subsequent commit, but
            the EWS bots in question stayed stuck.  This change will
            fix those bots once restarted (and prevent this in the future).
    
            I also went ahead and unified start-queue and start-commit-queue
            since they were nearly identical.  I also added bot_id support
            to both force all EWSes to have bot ids as well as get rid of the one
            remaining reason why I had my own copies of these scripts.
            Hopefully this will be enough to get all the other bot admins
            (ahem, Adam, ahem) to move to using these checked in copies as well.
    
            * EWSTools/start-commit-queue.sh: Removed.
            * EWSTools/start-queue.sh:
    
    git-svn-id: http://svn.webkit.org/repository/webkit/trunk@73895 268f45cc-cd09-0410-ab3c-d52691b4dbfc

diff --git a/WebKitTools/ChangeLog b/WebKitTools/ChangeLog
index 62f30ae..ce5b66e 100644
--- a/WebKitTools/ChangeLog
+++ b/WebKitTools/ChangeLog
@@ -1,3 +1,26 @@
+2010-12-13  Eric Seidel  <eric at webkit.org>
+
+        Reviewed by Adam Barth.
+
+        EWS Queues should remove orpahned pyc files before starting
+        https://bugs.webkit.org/show_bug.cgi?id=50904
+
+        A previous check added a platform.py which caused
+        EWS bots on some platforms to hit an import exception.
+        The platform.py file was removed in a subsequent commit, but
+        the EWS bots in question stayed stuck.  This change will
+        fix those bots once restarted (and prevent this in the future).
+
+        I also went ahead and unified start-queue and start-commit-queue
+        since they were nearly identical.  I also added bot_id support
+        to both force all EWSes to have bot ids as well as get rid of the one
+        remaining reason why I had my own copies of these scripts.
+        Hopefully this will be enough to get all the other bot admins
+        (ahem, Adam, ahem) to move to using these checked in copies as well.
+
+        * EWSTools/start-commit-queue.sh: Removed.
+        * EWSTools/start-queue.sh:
+
 2010-10-28  MORITA Hajime  <morrita at google.com>
 
         Reviewed by Ojan Vafai.
diff --git a/WebKitTools/EWSTools/start-commit-queue.sh b/WebKitTools/EWSTools/start-commit-queue.sh
deleted file mode 100755
index 25099a5..0000000
--- a/WebKitTools/EWSTools/start-commit-queue.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-# Copyright (c) 2010 Google Inc. All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions are
-# met:
-#
-#     * Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#     * Redistributions in binary form must reproduce the above
-# copyright notice, this list of conditions and the following disclaimer
-# in the documentation and/or other materials provided with the
-# distribution.
-#     * Neither the name of Google Inc. nor the names of its
-# contributors may be used to endorse or promote products derived from
-# this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
-# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
-# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
-# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
-# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-cd "$HOME/Projects/CommitQueue"
-while :
-do
-  git reset --hard trunk
-  git clean -f
-  git rebase --abort
-  git fetch
-  git svn rebase
-  ./WebKitTools/Scripts/webkit-patch commit-queue --no-confirm --exit-after-iteration 10
-done
diff --git a/WebKitTools/EWSTools/start-queue.sh b/WebKitTools/EWSTools/start-queue.sh
index 1ddecde..e153270 100755
--- a/WebKitTools/EWSTools/start-queue.sh
+++ b/WebKitTools/EWSTools/start-queue.sh
@@ -27,12 +27,29 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+if [[ $# -ne 2 ]];then
+echo "Usage: start-queue.sh QUEUE_NAME BOT_ID"
+echo
+echo "QUEUE_NAME will be passed as a command to webkit-patch"
+echo "QUEUE_NAME will also be used as the path to the queue: /mnt/git/webkit-QUEUE_NAME"
+echo "BOT_ID may not have spaces. It will appear as the bots name on queues.webkit.org"
+echo
+echo "For example, to run the mac-ews on a machine we're calling 'eseidel-cq-sf' run:"
+echo "start-queue.sh mac-ews eseidel-cq-sf"
+exit 1
+fi
+
 cd /mnt/git/webkit-$1
 while :
 do
-  git reset --hard
+  git reset --hard trunk
   git clean -f
+  git rebase --abort
   git fetch
   git svn rebase
-  ./WebKitTools/Scripts/webkit-patch $1 --no-confirm --exit-after-iteration 10
+  # test-webkitpy has code to remove orphaned .pyc files, so we
+  # run it before running webkit-patch to avoid stale .pyc files
+  # preventing webkit-patch from launching.
+  ./WebKitTools/Scripts/test-webkitpy
+  ./WebKitTools/Scripts/webkit-patch $1 --bot-id=$2 --no-confirm --exit-after-iteration 10
 done

-- 
WebKit Debian packaging



More information about the Pkg-webkit-commits mailing list